Ingest Json Events

Ingest Json Events
Ingest JSON events

The ingestion API has the following limits: JSON payload - 1MB, Log message size - 16KB, Field name size - 64 characters

Request
URI
POST
https://{api_host}/api/v2/events
COPY
Query Parameters
httpRequest
Required

httpRequest


Request Body
[
    {
        "fields": {
            "fields": {}
        },
        "text": "string",
        "timestamp": 0
    }
]
Optional
Authentication
This operation uses the following authentication methods.
Responses
200

Ingest JSON successful

Returns IngestResponse of type(s) application/json
{
    "message": "string",
    "received": 0,
    "status": "string"
}
string
message
Optional

message

integer As int32 As int32
received
Optional

received

string
status
Optional

status


400

Bad request: Invalid input data

Returns ErrorBody of type(s) application/json
{
    "errorCode": "string",
    "errorDetails": {},
    "errorMessage": "string"
}
string
errorCode
Optional

errorCode

Possible values are : API_ERROR, LIMIT_ERROR, FIELD_ERROR, TEST_ERROR, JSON_FORMAT_ERROR, LICENSE_ERROR, VSPHERE_INTEGRATION_ERROR, VROPS_INTEGRATION_ERROR, UPGRADE_ERROR, SEARCH_ERROR, AGENT_ERROR, RBAC_COMMON_ERROR, RBAC_USERS_ERROR, RBAC_GROUPS_ERROR, RBAC_ADGROUPS_ERROR, RBAC_DATASETS_ERROR, RBAC_VIDM_GROUPS_ERROR, RBAC_VIDB_GROUPS_ERROR, AUTH_PROVIDER_ERROR, SECURITY_ERROR, DEPLOYMENT_ERROR, SUPPORT_BUNDLE_ERROR, VIP_ERROR, LOAD_BALANCER_ERROR, VIDM_ERROR, VIDB_ERROR, AD_ERROR, WEBHOOK_ERROR, WEB_PROXY_ERROR, SMTP_ERROR, QUERY_ERROR, CERTIFICATE_PEM_FORMAT_ERROR, CERTIFICATE_FILE_INVALID, CERTIFICATE_UPDATE_ERROR, NSX_INTEGRATION_ERROR, NSX_MANAGER_CONNECTIVITY_ERROR, NO_CONFIGURATION_ERROR, SSL_ERROR, CERTIFICATE_PURPOSE_ERROR, VCF_CAPABILITIES_REGISTRY_ERROR, VALIDATION_ERROR, INTERNAL_SERVER_ERROR, UNPROCESSABLE_ENTITY, RESOURCE_EXHAUSTED,
object
errorDetails
Optional

errorDetails

string
errorMessage
Optional

errorMessage


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '[{}]' https://{api_host}/api/v2/events